import { useQuery } from "@tanstack/react-query";
import { getAttrSelectsOptions } from "@/lib/client/@tanstack/react-query.gen";

const useAttributeSelectsList = () => {
    const { data, refetch } = useQuery(getAttrSelectsOptions());

    return {
        selects: data?.items ?? [],
        refetch,
    };
};

export default useAttributeSelectsList;
